DIPlib Documentation - ©1995-2013 Quantitative Imaging Group, Delft University of Technology.

# MonadicFrameWork

FrameWork for monadic operations

## SYNOPSIS

dip_Error dip_MonadicFrameWork ( in, out, processBoundary, processBorder, process )

## FUNCTION

This function is a frontend on the `SeparableFrameWork`. It provides an easier interface for filters that only need to scan an image once. The dimension in which the image should be scanned can be specified or left to `MonadicFrameWork` by specifiying the dimension with `DIP_MONADIC_OPTIMAL_DIMENSION`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output
`dip_Boundary` | `processBoundary` | ProcessBoundary
`dip_int` | `processBorder` | ProcessBorder
`dip_FrameWorkProcess` | `process` | Process

## SEE ALSO

`SeparableFrameWork`, `SingleOutputFrameWork`